Last Comment Bug 614181 - Remove app.update.timer preference and add app.update.timerMinimumDelay preference
: Remove app.update.timer preference and add app.update.timerMinimumDelay prefe...
Status: VERIFIED FIXED
: dev-doc-needed
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Robert Strong [:rstrong] (use needinfo to contact me)
:
:
Mentors:
Depends on: 604804
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-22 23:00 PST by Robert Strong [:rstrong] (use needinfo to contact me)
Modified: 2011-05-27 16:14 PDT (History)
5 users (show)
robert.strong.bugs: in‑testsuite-
robert.strong.bugs: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.36 KB, patch)
2010-11-23 13:49 PST, Robert Strong [:rstrong] (use needinfo to contact me)
dao+bmo: review+
Details | Diff | Splinter Review

Description Robert Strong [:rstrong] (use needinfo to contact me) 2010-11-22 23:00:07 PST
Bug 604804 removed the app.update.timer preference (the timer delay) and added a app.update.timerMinimumDelay preference (the minimum timer delay with a default of 120 seconds and a minimum of 60 seconds). The timer now staggers calling each nsITimerCallback, varies the delay between firing based on whether there are timers that were skipped, and schedules the next firing based on the shortest next update time out of each nsITimerCallback.
Comment 1 Robert Strong [:rstrong] (use needinfo to contact me) 2010-11-23 13:49:34 PST
Created attachment 492784 [details] [diff] [review]
patch
Comment 2 Robert Strong [:rstrong] (use needinfo to contact me) 2011-04-21 19:53:33 PDT
Comment on attachment 492784 [details] [diff] [review]
patch

Dão, perhaps you have time to review this?
Comment 3 Dão Gottwald [:dao] 2011-04-22 01:26:14 PDT
Comment on attachment 492784 [details] [diff] [review]
patch

mobile/app/mobile.js sets app.update.timer as well.
Comment 4 Robert Strong [:rstrong] (use needinfo to contact me) 2011-04-22 14:18:22 PDT
(In reply to comment #3)
> Comment on attachment 492784 [details] [diff] [review]
> patch
> 
> mobile/app/mobile.js sets app.update.timer as well.
Yes... there were a couple of the mobile team cc'd to the bug that obsoleted the pref and I had hoped one of them would have done it per bug 604804 comment #21. :(
Comment 5 Robert Strong [:rstrong] (use needinfo to contact me) 2011-04-26 14:37:26 PDT
Pushed to mozilla-central
http://tinyurl.com/48zvtw6
Comment 6 Daniel Cater 2011-04-27 04:52:04 PDT
(In reply to comment #5)
> Pushed to mozilla-central
> http://tinyurl.com/48zvtw6

I think that should be: http://hg.mozilla.org/mozilla-central/rev/55c53b4c28af
Comment 7 George Carstoiu 2011-05-05 00:47:12 PDT
Verified on Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1
Comment 8 Jorge Villalobos [:jorgev] 2011-05-27 16:14:27 PDT
This preference could be in use by some extensions. Flagging for dev doc.

Note You need to log in before you can comment on or make changes to this bug.